---
document: modulemd
version: 2
data:
  name: python36
  stream: 3.6
  version: 8050020210825152031
  context: 982725ab
  summary: Python programming language, version 3.6
  description: >-
    This module gives users access to the internal Python 3.6 in RHEL8, as

    well as provides some additional Python packages the users might need.

    In addition to these you can install any python3-* package available

    in RHEL and use it with Python from this module.
  license:
    module:
    - MIT
  xmd:
    mbs:
      buildrequires:
        mongodb:
          context: 1cd76107
          filtered_rpms:
          - snappy-java-javadoc-0:1.1.2.4-8.module_el8.1.0+244+7000450f
          - slf4j-javadoc-0:1.7.25-4.module_el8.1.0+244+7000450f
          - slf4j-jdk14-0:1.7.25-4.module_el8.1.0+244+7000450f
          - slf4j-sources-0:1.7.25-4.module_el8.1.0+244+7000450f
          - slf4j-log4j12-0:1.7.25-4.module_el8.1.0+244+7000450f
          - mongo-tools-devel-0:3.6.6-1.module_el8.1.0+244+7000450f
          - python3-bson-0:3.6.1-5.module_el8.1.0+244+7000450f
          - mongodb-test-0:3.6.8-1.module_el8.1.0+244+7000450f
          - python-pymongo-doc-0:3.6.1-5.module_el8.1.0+244+7000450f
          - jctools-javadoc-0:2.0.2-2.module_el8.1.0+244+7000450f
          - jctools-parent-0:2.0.2-2.module_el8.1.0+244+7000450f
          - jctools-experimental-0:2.0.2-2.module_el8.1.0+244+7000450f
          - log4j-over-slf4j-0:1.7.25-4.module_el8.1.0+244+7000450f
          - slf4j-manual-0:1.7.25-4.module_el8.1.0+244+7000450f
          - slf4j-jcl-0:1.7.25-4.module_el8.1.0+244+7000450f
          - python3-cheetah-0:3.1.0-4.module_el8.1.0+244+7000450f
          - python3-pymongo-gridfs-0:3.6.1-5.module_el8.1.0+244+7000450f
          - yaml-cpp-devel-0:0.6.1-2.module_el8.1.0+244+7000450f
          - jcl-over-slf4j-0:1.7.25-4.module_el8.1.0+244+7000450f
          - jul-to-slf4j-0:1.7.25-4.module_el8.1.0+244+7000450f
          - netty-javadoc-0:4.1.13-5.module_el8.1.0+244+7000450f
          - slf4j-ext-0:1.7.25-4.module_el8.1.0+244+7000450f
          - python3-pymongo-0:3.6.1-5.module_el8.1.0+244+7000450f
          - yaml-cpp-static-0:0.6.1-2.module_el8.1.0+244+7000450f
          koji_tag: module-mongodb-3.6-8010020191120190538-1cd76107
          ref: 5454a7f6041f5446c59093ef2749f3a9c0ef6ff8
          stream: 3.6
          version: 8010020191120190538
        platform:
          context: 00000000
          filtered_rpms: []
          koji_tag: module-centos-8.5.0-build
          ref: virtual
          stream: el8.5.0
          stream_collision_modules: 
          ursine_rpms: 
          version: 2
      commit: 103cb9c22fe1b88cc7f499a966a8e18b2e4cdcef
      mse: TRUE
      rpms:
        python-PyMySQL:
          ref: dc5bc3753d271278f5da87a774ce58e924ed66b8
        python-distro:
          ref: 63623f372cf98cf3028cf75da5ddd244b68d5243
        python-docs:
          ref: 2404f0a3a199788504f7e48ac04376a68dfe9acf
        python-docutils:
          ref: a44e1e78ba92abcf8647fabedd5b15ced40bf75a
        python-nose:
          ref: 7e005bc400dff9a0e36a40ef5d636d596107f10f
        python-pygments:
          ref: 5864f12d4143dab9a1c8eb617bd6f8f521b8fbf7
        python-pymongo:
          ref: e667381509ef781725fdd44d38cdcffb70683217
        python-sqlalchemy:
          ref: 8ee07229bdc057fd007cb042ba2641cd26f54419
        python-virtualenv:
          ref: 4a311fc276c8a0314d2662fbfc3d663d13128fda
        python-wheel:
          ref: 29102d871b86033468490914db98d463f980a0c4
        python36:
          ref: 54ee50c0df03a55a12a256c04fb69b80429e6714
        scipy:
          ref: 52b1965ae485d1737a606f795094d1ca10b725fe
      scmurl: git+https://git.centos.org/modules/python36.git?#103cb9c22fe1b88cc7f499a966a8e18b2e4cdcef
      ursine_rpms:
      - slf4j-log4j12-0:1.7.25-4.module_el8.0.0+30+832da3a1.noarch
      - log4j-over-slf4j-0:1.7.25-4.module_el8.0.0+30+832da3a1.noarch
      - slf4j-sources-0:1.7.25-4.module_el8.0.0+30+832da3a1.noarch
      - slf4j-javadoc-0:1.7.25-4.module_el8.0.0+30+832da3a1.noarch
      - slf4j-jcl-0:1.7.25-4.module_el8.0.0+30+832da3a1.noarch
      - slf4j-manual-0:1.7.25-4.module_el8.0.0+30+832da3a1.noarch
      - slf4j-0:1.7.25-4.module_el8.0.0+30+832da3a1.noarch
      - slf4j-jdk14-0:1.7.25-4.module_el8.0.0+30+832da3a1.noarch
      - jcl-over-slf4j-0:1.7.25-4.module_el8.0.0+30+832da3a1.noarch
      - jul-to-slf4j-0:1.7.25-4.module_el8.0.0+30+832da3a1.noarch
      - slf4j-ext-0:1.7.25-4.module_el8.0.0+30+832da3a1.noarch
      - slf4j-0:1.7.25-4.module_el8.0.0+30+832da3a1.src
  dependencies:
  - buildrequires:
      mongodb: [3.6]
      platform: [el8.5.0]
    requires:
      platform: [el8]
  references:
    community: https://www.python.org/
    documentation: https://docs.python.org/3.6/
  profiles:
    build:
      rpms:
      - python36
      - python36-devel
      - python36-rpm-macros
    common:
      rpms:
      - python36
  api:
    rpms:
    - python-sqlalchemy-doc
    - python-virtualenv-doc
    - python3-PyMySQL
    - python3-bson
    - python3-distro
    - python3-docs
    - python3-docutils
    - python3-nose
    - python3-pygments
    - python3-pymongo
    - python3-pymongo-gridfs
    - python3-scipy
    - python3-sqlalchemy
    - python3-virtualenv
    - python3-wheel
    - python36
    - python36-debug
    - python36-devel
    - python36-rpm-macros
  filter:
    rpms:
    - python2-PyMySQL
    - python2-docutils
    - python2-nose
    - python2-pygments
    - python2-scipy
    - python2-sqlalchemy
    - python2-virtualenv
  buildopts:
    rpms:
      macros: >
        %_without_python2 1


        # For packages depending on python36, so that they

        # BuildRequire python36-devel/debug/rpm-macros instead of python3-*

        #

        # This won't be necessary for python37 and later. There we can

        # set %{python3_pkgversion}, because all packages will need to

        # have the pythonXY prefix. Whereas for Python 3.6 the packages

        # are split between non-modular RHEL and the python36 module,

        # and so it was easier and less confusing to keep the prefix at

        # python3- except for the devel/debug/rpm/macros packages.

        %_with_python36_module 1
  components:
    rpms:
      python-PyMySQL:
        rationale: Python adapter for the MySQL/MariaDB databases
        repository: git+https://git.centos.org/rpms/python-PyMySQL
        cache: https://git.centos.org/repo/pkgs/python-PyMySQL
        ref: dc5bc3753d271278f5da87a774ce58e924ed66b8
        buildorder: 20
        arches: [aarch64, i686, ppc64le, x86_64]
      python-distro:
        rationale: Linux Distribution - a Linux OS platform information API
        repository: git+https://git.centos.org/rpms/python-distro
        cache: https://git.centos.org/repo/pkgs/python-distro
        ref: 63623f372cf98cf3028cf75da5ddd244b68d5243
        buildorder: 20
        arches: [aarch64, i686, ppc64le, x86_64]
      python-docs:
        rationale: Documentation for Python
        repository: git+https://git.centos.org/rpms/python-docs
        cache: https://git.centos.org/repo/pkgs/python-docs
        ref: 2404f0a3a199788504f7e48ac04376a68dfe9acf
        buildorder: 20
        arches: [aarch64, i686, ppc64le, x86_64]
      python-docutils:
        rationale: System for processing plaintext documentation
        repository: git+https://git.centos.org/rpms/python-docutils
        cache: https://git.centos.org/repo/pkgs/python-docutils
        ref: a44e1e78ba92abcf8647fabedd5b15ced40bf75a
        buildorder: 20
        arches: [aarch64, i686, ppc64le, x86_64]
      python-nose:
        rationale: Discovery-based unit test extension for Python
        repository: git+https://git.centos.org/rpms/python-nose
        cache: https://git.centos.org/repo/pkgs/python-nose
        ref: 7e005bc400dff9a0e36a40ef5d636d596107f10f
        buildorder: 20
        arches: [aarch64, i686, ppc64le, x86_64]
      python-pygments:
        rationale: Syntax highlighting engine written in Python
        repository: git+https://git.centos.org/rpms/python-pygments
        cache: https://git.centos.org/repo/pkgs/python-pygments
        ref: 5864f12d4143dab9a1c8eb617bd6f8f521b8fbf7
        buildorder: 20
        arches: [aarch64, i686, ppc64le, x86_64]
      python-pymongo:
        rationale: Python driver for MongoDB
        repository: git+https://git.centos.org/rpms/python-pymongo
        cache: https://git.centos.org/repo/pkgs/python-pymongo
        ref: e667381509ef781725fdd44d38cdcffb70683217
        buildorder: 20
        arches: [aarch64, i686, ppc64le, x86_64]
      python-sqlalchemy:
        rationale: Modular and flexible ORM library for python
        repository: git+https://git.centos.org/rpms/python-sqlalchemy
        cache: https://git.centos.org/repo/pkgs/python-sqlalchemy
        ref: 8ee07229bdc057fd007cb042ba2641cd26f54419
        buildorder: 20
        arches: [aarch64, i686, ppc64le, x86_64]
      python-virtualenv:
        rationale: Tool to create isolated Python environments
        repository: git+https://git.centos.org/rpms/python-virtualenv
        cache: https://git.centos.org/repo/pkgs/python-virtualenv
        ref: 4a311fc276c8a0314d2662fbfc3d663d13128fda
        buildorder: 30
        arches: [aarch64, i686, ppc64le, x86_64]
      python-wheel:
        rationale: Built-package format for Python
        repository: git+https://git.centos.org/rpms/python-wheel
        cache: https://git.centos.org/repo/pkgs/python-wheel
        ref: 29102d871b86033468490914db98d463f980a0c4
        buildorder: 20
        arches: [aarch64, i686, ppc64le, x86_64]
      python36:
        rationale: Contains the symlink to the platform-python interpreter. Also contains
          python36-rpm-macros needed to build the remaining packages.
        repository: git+https://git.centos.org/rpms/python36
        cache: https://git.centos.org/repo/pkgs/python36
        ref: 54ee50c0df03a55a12a256c04fb69b80429e6714
        buildorder: 10
        arches: [aarch64, i686, ppc64le, x86_64]
      scipy:
        rationale: Scientific Tools for Python
        repository: git+https://git.centos.org/rpms/scipy
        cache: https://git.centos.org/repo/pkgs/scipy
        ref: 52b1965ae485d1737a606f795094d1ca10b725fe
        buildorder: 20
        arches: [aarch64, i686, ppc64le, x86_64]
...
